- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.PlacementGroupsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups/list#try-it)

Retrieves a list of placement groups, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/placementGroups`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups with these IDs. |
| `campaignIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups that belong to these campaigns. |
| `siteIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups that are associated with these sites. |
| `directorySiteIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups that are associated with these directory sites. |
| `placementStrategyIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups that are associated with these placement strategies. |
| `contentCategoryIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups that are associated with these content categories. |
| `pricingTypes[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/PricingSchedule#PlacementPricingType`)`` Select only placement groups with these pricing types. |
| `advertiserIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placement groups that belong to these advertisers. |
| `placementGroupType` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups#PlacementGroupType`)`` Select only placement groups belonging with this group type. A package is a simple group of placements that acts as a single pricing point for a group of tags. A roadblock is a group of placements that not only acts as a single pricing point but also assumes that all the tags in it will be served at the same time. A roadblock requires one of its assigned placements to be marked as primary for reporting. |
| `searchString` | `string` Allows searching for placement groups by name or ID. Wildcards (\*) are allowed. For example, `"placement*2015"` will return placement groups with names like `"placement group June 2015"`, `"placement group May 2015"`, or simply `"placements 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"placementgroup"` will match placement groups with name `"my placementgroup"`, `"placementgroup 2015"`, or simply `"placementgroup"`. |
| `maxEndDate` | `string` Select only placements or placement groups whose end date is on or before the specified `maxEndDate`. The date should be formatted as "yyyy-MM-dd". |
| `maxResults` | `integer` Maximum number of results to return. |
| `activeStatus[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/PlacementActiveStatus`)`` Select only placements with these active statuses. |
| `maxStartDate` | `string` Select only placements or placement groups whose start date is on or before the specified `maxStartDate`. The date should be formatted as "yyyy-MM-dd". |
| `minEndDate` | `string` Select only placements or placement groups whose end date is on or after the specified `minEndDate`. The date should be formatted as "yyyy-MM-dd". |
| `minStartDate` | `string` Select only placements or placement groups whose start date is on or after the specified `minStartDate`. The date should be formatted as "yyyy-MM-dd". |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Placement Group placementGroups.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "placementGroups": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups#PlacementGroup`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#placementGroupsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `placementGroups[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/placementGroups#PlacementGroup`)`` Placement group collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`